Skip to main content

Build task draft from recipe

POST
/ai/gateway/recipes/{id}/draft

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesstringRecipe ID
requestbodynoobjectDraft input: inputs (recipe variables), validate (boolean, true by default)
  • {}

Responses

6 responses

Status
Description
Type
200
Successful responseobject
400
Recipe ID is required, the request body is invalid, or the recipe does not support draft assemblyobject
401
API key is missing or invalidobject
403
Required tasks:draft scope is missing or the object is outside the allowlistobject
404
Recipe not foundobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }